var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input, Output, EventEmitter } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { Router } from '@angular/router';
import { ObjectService } from '../../utilities/object.service';
export var UNDEFINED_NAME = 'SearchFormComponent_name_unspecified';
export var DEFAULT_TARGET = './search';
var SearchFormComponent = (function () {
    function SearchFormComponent(formBuilder, router, objectService) {
        this.formBuilder = formBuilder;
        this.router = router;
        this.objectService = objectService;
        this.configuredOptions = {
            name: UNDEFINED_NAME,
            target: DEFAULT_TARGET
        };
        this.searchForm = this.formBuilder.group({
            terms: [this.terms, Validators.required]
        });
        this.searchedTerms = new EventEmitter();
    }
    SearchFormComponent.prototype.ngOnInit = function () {
        if (!!this.options) {
            this.configuredOptions = this.objectService.shallowCopy(this.configuredOptions, this.options);
        }
    };
    SearchFormComponent.prototype.search = function () {
        if (!this.searchForm.valid) {
            return;
        }
        this.searchedTerms.emit(this.terms);
        this.router.navigate([this.configuredOptions.target], { queryParams: { q: this.terms } });
    };
    return SearchFormComponent;
}());
__decorate([
    Input(),
    __metadata("design:type", Object)
], SearchFormComponent.prototype, "options", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], SearchFormComponent.prototype, "searchedTerms", void 0);
SearchFormComponent = __decorate([
    Component({
        selector: 'app-search-form',
        templateUrl: 'search-form.component.html',
        styleUrls: ['search-form.component.scss']
    }),
    __metadata("design:paramtypes", [FormBuilder,
        Router,
        ObjectService])
], SearchFormComponent);
export { SearchFormComponent };
//# sourceMappingURL=search-form.component.js.map